Bug 147673 - gam_server/gamin stops working after apm suspend/resume
gam_server/gamin stops working after apm suspend/resume
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 09:20 EST by Jason 'vanRijn' Kasper
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 19:17:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason 'vanRijn' Kasper 2005-02-10 09:20:58 EST
From Bugzilla Helper:
User-Agent: Opera/8.0 (X11; Linux i686; U; en)

Description of problem:
/usr/libexec/gam_server stops notifying korganizer that its std.ics file has changed after 
I suspend and resume, using APM.

Version-Release number of selected component (if applicable):
gamin-0.0.17-1.FC3

How reproducible:
Always

Steps to Reproduce:
1. touch ~/.kde/share/apps/korganizer/std.ics after restarting gam_server
2. observe that korganizer is informed of the change
3. suspend/resume
4. touch ~/.kde/share/apps/korganizer/std.ics
5. observe that korganizer is not informed of the change by FAM
6. killall gam_server, which causes it to restart
7. quit korganizer (or any application that uses FAM) and restart it
8. GOTO 1
    

Actual Results:  gam_server doesn't look like it is notifying anything of filesystem 
changes after an apm suspend/resume

Expected Results:  It should have.  =:)

Additional info:

The problem here is that when this layer breaks, I lose ALL data that I put into an 
application that depends on it.  In this case, it is korganizer, and anything that I enter 
into my Palm gets lost because korganizer doesn't get notified that its ics file has 
changed and then it overwrites it, losing my data.  For this reason, I'm marking the 
severity as high, because this causes loss of data.
Comment 1 Daniel Veillard 2005-02-10 09:46:25 EST
very first thing to do is to retry with gamin-0.0.23 from
rawhide or http://www.gnome.org/~veillard/gamin/downloads.html

Daniel
Comment 2 Jason 'vanRijn' Kasper 2005-02-14 16:53:16 EST
Okay, I'm not running gamin-0.0.23-1 and I still have this problem.  I have rebooted after 
upgrading gamin (just to be sure), and I still am seeing korganizer not get notified from 
FAM when I touch its file.

Also, something other than suspend/resume must be causing this, because I have not 
suspended/resumed today, yet I'm still seeing this disconnect.
Comment 3 Jason 'vanRijn' Kasper 2005-02-14 16:59:33 EST
ack.  

s/not running/now running/  

=:/  Also, note, that if I restart korganizer and then touch its ics file, then it is notified, 
but after a period of time, it stops working.
Comment 4 Daniel Veillard 2005-02-14 18:03:48 EST
yes there is a bug where gamin sometimes looses the dnotify 
registration for the directory of monitored resources. I'm still
chasing that bug ...

Daniel
Comment 5 Jason 'vanRijn' Kasper 2005-02-25 22:47:47 EST
It sure seems like an apm suspend/resume will reliably trigger whatever it is that is going wrong.  I 
just resumed again today when I got home from work and lost 2 appointments that I added on my 
palm pilot because korganizer wasn't notified that its file had changed by gamin and then 
subsequently overwrote my changes.  Really frustrating.  Is there anything I can do to help debug 
this?
Comment 6 Matthew Miller 2006-07-10 19:36:43 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Jason 'vanRijn' Kasper 2007-07-23 19:17:16 EDT
I'm not running Fedora anymore.  Feel free to close it, though I don't know if
the problem is actually fixed.  FWIW, I don't see this problem in SUSE, so it
may very well be that either SUSE is using a different FAM, or that the problem
has been fixed.

Note You need to log in before you can comment on or make changes to this bug.